# Webhooks

Operations with webhooks

 - [GET /api/v2/webhooks/{id}](https://developer.egym.com/mms-api-v2/apis/mms-v2/webhooks/getwebhookbyid.md)
 - [PUT /api/v2/webhooks/{id}](https://developer.egym.com/mms-api-v2/apis/mms-v2/webhooks/updatewebhook.md): Updates webhook url or/and secret by given webhook id
 - [DELETE /api/v2/webhooks/{id}](https://developer.egym.com/mms-api-v2/apis/mms-v2/webhooks/deletewebhook.md): Deletes webhook url
 - [GET /api/v2/webhooks](https://developer.egym.com/mms-api-v2/apis/mms-v2/webhooks/getallwebhooks.md): Returns a list of webhooks of the related gym.
 - [POST /api/v2/webhooks](https://developer.egym.com/mms-api-v2/apis/mms-v2/webhooks/createwebhook.md): Creates webhook url entry
 - [POST /api/v2/webhooks/{id}/trigger](https://developer.egym.com/mms-api-v2/apis/mms-v2/webhooks/triggerwebhook.md): Trigger webhook with type TEST
